Name:           athena-green-base
Version:        9.6196603
Release:        1%{?dist}
Summary:        Green colorbase resources for Athena OS

License:        GPL-3.0-or-later
URL:            https://github.com/Athena-OS/athena-green-base
Source0:        https://gitlab.com/athenaos/packages/environments/materials/colorbase/athena-green-base/-/archive/main/%{name}-main.tar.gz

BuildArch:      noarch

%description
This package provides green color-themed resources (icons and wallpapers) for Athena OS.
It includes wallpapers and GNOME-compatible background settings, isolated to prevent system-wide file conflicts.

%prep
%autosetup -n %{name}-main

%build
# Nothing to build

%install
# Wallpapers
install -dm 755 %{buildroot}/usr/share/backgrounds/athena
install -Dm 644 wallpapers/hackthebox.png %{buildroot}/usr/share/backgrounds/athena/
install -Dm 644 wallpapers/nix-hackthebox.png %{buildroot}/usr/share/backgrounds/athena/

# Icons
install -dm 755 %{buildroot}/usr/share/%{name}/icons/apps
install -dm 755 %{buildroot}/usr/share/%{name}/icons/categories
cp -a icons/apps/* %{buildroot}/usr/share/%{name}/icons/apps/
cp -a icons/categories/* %{buildroot}/usr/share/%{name}/icons/categories/

# GNOME background properties
install -dm 755 %{buildroot}/usr/share/gnome-background-properties
install -Dm 644 gnome-background-properties/hackthebox.xml %{buildroot}/usr/share/gnome-background-properties/
install -Dm 644 gnome-background-properties/nix-hackthebox.xml %{buildroot}/usr/share/gnome-background-properties/

%files
%license LICENSE
/usr/share/backgrounds/athena/*
/usr/share/%{name}
/usr/share/gnome-background-properties/*

%changelog
* Mon Apr 21 2025 02:45 Little Owl <littleowl@athenaos.org>
- Synced with upstream
